# Donor Statements Donor Statements ## Creates a new donor statement record that does not already exist. - [POST /donorStatements/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statements/createdonorstatement.md): This method will auto-generate an ID and create a new donor statement. If an ID is specified for the donor statement, an error will be thrown. ## Returns a list of records with the specified donor_id - [GET /donorStatements/{tenantId}/donor/{donor_type}/{donor_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statements/liststatementsbydonorid.md): Returns a list of records with the specified donor_id ## Returns a donor statement from the system by its ID. - [DELETE /donorStatements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statements/deletedonorstatement.md): This method will delete a donor statement with the specified ID. ## Returns a donor statement from the system by its ID. - [GET /donorStatements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statements/getdonorstatement.md): This method will look up a donor statement by the specified ID and return it back. ## Partially updates a donor statement with the specified ID. - [PATCH /donorStatements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statements/patchdonorstatement.md): This method will patch an existing donor statement with the specified ID, using the HTTP PATCH specification. ## Updates a donor statement with the specified ID. - [PUT /donorStatements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donor-statements/updatedonorstatement.md): This method will update an existing donor statement with the specified ID.